Bug 851762 - Sound Juicer fails to read new (2nd) CD on insert.
Sound Juicer fails to read new (2nd) CD on insert.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gvfs (Show other bugs)
20
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Ondrej Holy
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-25 08:26 EDT by Philip Imants Long
Modified: 2015-06-29 07:40 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 07:40:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 602855 None None None Never

  None (edit)
Description Philip Imants Long 2012-08-25 08:26:01 EDT
Description of problem:

This bug has been around since at least F12.  If it can't be fixed perhaps another ripper should be the default Fedora application.  It can be easily worked around by closing then restarting sound-juicer but for those of us creating audiobooks it adds considerably to the human part of the workflow.

523996 against F12 was closed due to EoL
544843 against F14 was closed due to EoL

Version-Release number of selected component (if applicable):

3.4.0

How reproducible:

See below

Steps to Reproduce:
1. Insert CD and rip happily
2. Remove ejected CD and insert another one
3. Read error message:
  
Could not read the CD

Sound Juicer could not read the track listing on this CD.
Reason:  Cannot access CD: Error while getting peer-to-peer dbus connection: The
name :1.173 was not provided by any .service files

4. Close sound-juicer
5. Launch sound-juicer anew
6. Rip Happily
7. Insert New CD
8. GOTO 3

Actual results:

CD Read Fail

Expected results:

CD Read Success
Additional info:
Comment 1 Christophe Fergeau 2012-08-27 06:22:40 EDT
Just tried this on my computer, and this issue does not happen, so there is more to it. This looks like https://bugzilla.gnome.org/show_bug.cgi?id=663459
Comment 2 Philip Imants Long 2012-09-07 06:45:40 EDT
Yes, that looks like the bug and I've no reason to doubt the bug is in gvfsd-cdda.  Ubuntu has a bug against it but it's not clear if it is being fixed, for example in time for F18.  Any insight into that?

https://bugs.launchpad.net/ubuntu/+source/gvfs/+bug/819304

For what it is worth I can make this happen _every time_ so if debug information is needed I can provide.

There is this report against F9

https://bugzilla.redhat.com/show_bug.cgi?id=459319
Comment 3 Philip Imants Long 2012-09-09 16:22:48 EDT
Additional info:  It may be correlated to a failed MusicBrainz lookup.  The crash actually didn't happen when brainz returned a result.
Comment 4 Christophe Fergeau 2012-09-10 06:02:48 EDT
(In reply to comment #3)
> Additional info:  It may be correlated to a failed MusicBrainz lookup.  The
> crash actually didn't happen when brainz returned a result.

I concur, I finally hit this on my machine, and this was after trying a CD that was not yet in MusicBrainz.
Digging through the ubuntu bugs, there is this commit which may help http://git.gnome.org/browse/gvfs/commit/?id=5624012821836136ad38abea00469865f6e7d616
It's in gvfs 1.13.5, so in f18 but not f17. Which distro have you tested this on? I can make a f17 scratch build with this patch if you can test it to see if it helps with this particular bug (the bug fixed by this commit seems a bit different).
Comment 5 graf.drakul 2012-11-18 12:53:00 EST
i have the same problem and maybe i can offer some additional informations

for me it looks like a time out problem i have these error only with older cd witch generate i lot of trouble while reading i use afterwards asunder this program rip the cd but it takes around 1-2 hours per cd ;) so maybe soundjuicer crashes because it takes to long reading the cd....
Comment 6 gatlibs 2013-01-30 23:04:48 EST
For me, I get the following as the message:
"Could not read the CD

Sound Juicer could not read the track listing on this CD.
Reason: Cannot access CD: The name :1.282 was not provided by any .service files".
1.282 could be x.xxx. This happens consistently for both: found and unfound albums.
Comment 7 gatlibs 2013-01-30 23:56:15 EST
649722 in Gnome's bugzilla.
https://bugzilla.gnome.org/show_bug.cgi?id=649722
Comment 8 gatlibs 2013-04-10 21:53:08 EDT
I just used sound-juicer successfully without having to restart the program to rip multiple C.D.
I am using sound-juicer-86_64-3.5.0-2.fc18 on kernel-x86_64-3.8.5-201.fc18.

I have reproduced this ripping thru multiple C.D. in multiple instances of sound-juicer. Can anyone reproduce the expected functionality?
Comment 9 Fedora End Of Life 2013-07-03 16:42:58 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2013-07-31 16:58:06 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 11 Christophe Fergeau 2014-01-23 08:46:09 EST
Reopening as this is still happening, and is a bug in gvfs, see https://bugzilla.gnome.org/show_bug.cgi?id=602855
Comment 12 Fedora End Of Life 2015-05-29 04:46:36 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-06-29 07:40:02 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.